%P. Kano
%August 24, 2005

function [FFTSamples] = WeeksFFTSample(Unitmatrix,Trianmatrix,Bvector,NNodes,NLaguerreCoef,SigmaWeeks,BetaWeeks)

%Note: For FFT it is required that NLaguerreCoef = MInversions
%Sample F(s) 

FFTSamples(1:1:NNodes,1:1:NLaguerreCoef) = 0;
for j=-NLaguerreCoef:1:(NLaguerreCoef-1)
 Thetaj = j*pi/NLaguerreCoef;
 Thetahalfj = (j+1/2)*pi/NLaguerreCoef;
 Wtemp = exp(i*Thetahalfj);
 Stemp = SigmaWeeks-BetaWeeks+(2*BetaWeeks/(1-Wtemp)); 
 Gvector = (Stemp*eye(NNodes)-Trianmatrix)\Bvector;
 Gvector = (2*BetaWeeks/(1-Wtemp)).*Gvector;
 FFTSamples(:,j+NLaguerreCoef+1) = Gvector;
end
 

 

