%P. Kano
%August 24, 2005

function [LaguerreCoef] = WeeksMidPntLagCoef(Unitmatrix,Trianmatrix,Bvector,NNodes,NLaguerreCoef,MInversions,SigmaWeeks,BetaWeeks)

%Compute the Laguerre Coefficients
LaguerreCoef(1:1:NNodes,1:1:NLaguerreCoef) = 0;
for j=-MInversions:1:(MInversions-1)
 Thetaj = j*pi/MInversions;
 Thetahalfj = (j+1/2)*pi/MInversions;
 Wtemp = exp(i*Thetahalfj);
 Stemp = SigmaWeeks-BetaWeeks+(2*BetaWeeks/(1-Wtemp)); 
 Gvector = (Stemp*eye(NNodes)-Trianmatrix)\Bvector;
 Gvector = (2*BetaWeeks/(1-Wtemp)).*Gvector;
 for n=1:1:NLaguerreCoef
  LaguerreCoef(:,n) = LaguerreCoef(:,n) + Gvector*exp(-1*i*(n-1)*Thetaj);
 end
end
 
for n=1:1:NLaguerreCoef
 LaguerreCoef(:,n) = LaguerreCoef(:,n)*exp(-1*i*(n-1)*pi/MInversions*1/2)/(2*MInversions);
end
 

